Name:			dates
Version:		0.4.3
Release:		1%{?dist}
Summary:		Small, lightweight calendar

Group:			Applications/Productivity
License:		GPL
URL:			http://projects.o-hand.com/dates
Source0:		http://projects.o-hand.com/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):		/sbin/ldconfig
Requires(postun):	/sbin/ldconfig

BuildRequires:  	gtk2-devel
BuildRequires:		evolution-data-server-devel >= 1.2.0
BuildRequires:		desktop-file-utils intltool gettext


%description
Dates is a small, lightweight calendar that uses Evolution Data Server as a
backend. Dates features an innovative, unified, zooming view and is designed
for use on primarily hand-held devices. It features both a ‘vanilla’ GTK
user interface and tailored support for the Nokia 770 maemo interface.


%package		devel
Summary:		Development libraries for dates
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		pkgconfig glib2-devel gtk2-devel evolution-data-server-devel


%description		devel
This package provides the necessary development libraries and include
files to allow you to develop with dates.


%prep
%setup -q


%build
%configure --disable-debug
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Fedora				\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Don't package .a or .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

chmod 0755 $RPM_BUILD_ROOT%{_libdir}/*

%find_lang Dates


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/ldconfig


%files		-f	Dates.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_mandir}/man*/*
%{_datadir}/icons/hicolor/*/apps/dates.*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/%{name}
%{_libdir}/libgtkdatesview.so.*


%files		devel
%defattr(-,root,root)
%{_includedir}/gtkdatesview/*.h
%{_libdir}/pkgconfig/*
%{_libdir}/libgtkdatesview.so



%changelog
* Mon Jul  9 2007 Denis Leroy <denis@poolshark.org> - 0.4.3-1
- Update to 0.4.3

* Sat Jun  2 2007 Denis Leroy <denis@poolshark.org> - 0.4.2-1
- Update to upstream 0.4.2 release

* Tue Apr 10 2007 Jesse Keating <jkeating@redhat.com> - 0.3.1-1
- New upstream release

* Fri Dec 15 2006 Jesse Keating <jkeating@redhat.com> - 0.2-1
- new upstream release

* Mon Oct 30 2006 Jesse Keating <jkeating@redhat.com> - 0.1-5.20060813svn
- rebuild for new eds

* Thu Aug 31 2006 Jesse Keating <jkeating@redhat.com> - 0.1-4.20060813svn
- rebuild

* Sun Aug 27 2006 Jesse Keating <jkeating@redhat.com> - 0.1-3.20060813svn
- rebuild

* Mon Aug 14 2006 Jesse Keating <jkeating@redhat.com> - 0.1-2.20060813svn
- Add some requires to -devel based on .pc contents

* Sun Aug 13 2006 Jesse Keating <jkeating@redhat.com> - 0.1-1.20060813svn
- Initial package for review
